
TYPO3.Flow - Bug # 5484

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: AOP
Created: 2009-11-24 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: AOP proxy builder does not add some annotations to built proxy classes
Description

The proxy classes retain @param annotations, but loose @return if no parameters exist and also any other annotations. That leads to
problems with validation and possibly other things.

Associated revisions
Revision eeca0d7e - 2009-11-24 21:43 - Karsten Dambekalns

[+BUGFIX] FLOW3 (AOP): The built proxy classes now retain vital method annotations, fixes #5484
[~TASK] FLOW3 (Security): Some tweaks to the HashService, renamed generateHash() to generateHmac(), validateHash() to validateHmac()
[!!!][+CONFIGURATION] FLOW3 (Security): the HashService now needs an encryptionKey to be set in it's settings
[~TASK] FLOW3 (MVC): Tweaked ActionController::checkRequestHash() a little

Revision e37f951a - 2009-11-24 21:44 - Karsten Dambekalns

[+BUGFIX] FLOW3 (AOP): The built proxy classes now retain vital method annotations, fixes #5484
[~TASK] FLOW3 (Security): Some tweaks to the HashService, renamed generateHash() to generateHmac(), validateHash() to validateHmac()
[!!!][+CONFIGURATION] FLOW3 (Security): the HashService now needs an encryptionKey to be set in it's settings
[~TASK] FLOW3 (MVC): Tweaked ActionController::checkRequestHash() a little

Revision f7e01a63 - 2009-11-24 22:20 - Karsten Dambekalns

[+BUGFIX] FLOW3 (AOP): Added safeguard against missing class and method name in new method, relates to #5484

History
#1 - 2009-11-24 22:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3500.
